#include <math.h>
#include "bisect.h"

double fce_x(double x)
{
  return log(x);
}

void main()
{
  int iter, error = 0, maxiter = 1000;
  double tol = 1e-16;
  double leftend = 0.5, rightend = 5.0;
  double ansver, yansver;

  Bisect(leftend, rightend, tol, maxiter,
	 &ansver, &yansver, &iter, &error, fce_x);
}